# iOS SDK Changelog

####

#### Version 5.9.17 Release date 31.05.2021

* background optimisation for 12.5.1 and later

#### Version 5.9.10 Release date 18.03.2021

* added track restoration

#### Version 5.9.5 Release date 11.02.2021

* driving events like acceleration, breaking and etc in trip time by delegate

#### Version 5.9.4 Release date 05.02.2021

* tags for trip with offline mode

**Version 5.9.3 Release date 22.01.2021**

* tags for trip

**Version 5.9.2 Release date 20.01.2021**

* added new upload for tracks

#### Version 5.9.0 Release date 22.12.2020

* [Aggressive heartbeats mode](/sdk-installation/ios-sdk-intallation/sdk-modes.md)
* Improvements of quality for start and stop tracking&#x20;
* More energy effective and energy safe

#### Version 5.8.0 Release date 15.11.2020

* iOS 14 support
* Best quality for start and stop tracking&#x20;
* [Wrong Accuracy and low battery mode delegates](https://docs.telematicssdk.com/sdk-installation/ios-sdk-intallation/sdk-delegates)

#### Version 5.7.0 Release date 13.11.2020

* Added update location delegate.

#### Version 5.6.0 Release date 30.06.2020

* [Added isAllRequiredPermissionsGranted property.](https://docs.telematicssdk.com/sdk-installation/ios-sdk-intallation/ios-13-permissions-wizard#required-permissions-granted)&#x20;
* [Added high frequency functionality for event detection. ](https://docs.telematicssdk.com/sdk-installation/ios-sdk-intallation/configure-framework#high-frequency-functionality-for-event-detection-for-enable-use-enablehf)
* [Added ELM functionality for work with OBD devices in your cars.](https://docs.telematicssdk.com/sdk-installation/ios-sdk-intallation/configure-framework#elm-functionality)

#### Version 5.5.13 Release date 01.06.2020

* Fix for more stability

#### Version 5.5.12 Release date 12.05.2020

RPRegionDelegate

* (**void**)locationManager:(CLLocationManager \*)manager didExitRegion:(CLRegion \*)region;

\[RPEntry instance].regionDelegate

#### Version 5.5.11 Release date 06.04.2020

* Hot Fix for short tracks.

#### Version 5.5.10 Release date 06.04.2020

Added new methods to get statistics with TAGs

* (void)getDashboardInfoByTrackTag:
* (void)getDrivingTimeStatistics:
* (void)getDrivingDetailsStatistics:
* (void)getSpeedDetailStatistics:
* (void)getMileageDetailsStatistics:
* (void)getPhoneDetailStatistics:

#### Version 5.5.9 Release date 23.03.2020

1. Added isTracking. Equal isActive for tracking state.
2. Added RPTrackingStateListenerDelegate and method (**void**)trackingStateChanged:(Boolean)state;\
   This delegate method called all times when SDK start or stop tracking.
3. Added New methods for get Statistics.\
   getDrivingDetailsStatistics, getSpeedDetailStatistics, getMileageDetailsStatistics, getPhoneDetailStatistics
4. [TAGs for trips and methods to get, add, remove these tags](/sdk-features/tags/trip-tag/ios-enriched-tags-for-individual-trips.md).
5. FixBug causing a long interval for the end of the trip. (manifested at the end of the trip in the car and did not start walking part)

#### Version 5.5.8 Release date 27.02.2020

* Start Reasons
* Start and stop trip detection improvement

#### Version 5.5.7 Release date 19.02.2020

* Tag trips

#### Version 5.5.6 release date 14.02.2020

* Upload Manager - Significant improvement of upload tracks algorithm
* Permission wizard fixes
* Bug fixes

#### Version 5.5.4 release date 20.09.2019 for Xcode 10.3 and before + Version 5.5.5 release date 20.09.2019 for Xcode 11.0 and later

* Added Wizard for iOS 13 (View based wizard for permissions legend and how it works in iOS 13).
* New mechanics of giving permissions for iOS 13.\
  (Please, read the ["What's different in iOS 13?"](/sdk-installation/ios-sdk-intallation/whats-different-in-ios-13.md) article)

#### **Version 5.5.3 release date 15.08.2019**

* More detailed ratings, added: \
  "RatingCornering": 0..5, \
  "RatingAcceleration": 0..5, \
  "RatingBraking": 0..5, \
  "RatingSpeeding": 0..5, \
  "RatingPhoneUsage": 0..5, \
  "RatingTimeOfDay": 0..5,
* Increased accuracy and added detecting of stop reason.
* Added delegate method for alert about speed overage 100 km\h


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.telematicssdk.com/sdk-installation/changelog/ios-changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
